.\" SPDX-License-Identifier: BSD-2-Clause

.\" Copyright (c) 2021 Alessio Chiapperini

.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.

.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.

.Dd October 9, 2021
.Dt TABULAR 1
.Os
.Sh NAME
.Nm tabular
.Nd pretty prints tabular data
.Sh SYNOPSIS
.Nm
.Op Fl s Ar sep
.Op Ar
.Sh DESCRIPTION
The
.Nm
utility reads files containing tabular data sequentially and pretty prints them as a table.
The
.Ar file
operands are processed in command-line order. If the
.Ar file
is a single dash
.Pq Sq Fl ,
or absent,
.Nm
reads from standard input. The separator character of each column in the dataset can be specified at
run-time, which defaults to the comma character.
.Pp
The options are as follows:
.Bl -tag -width indent
.It Fl s Ar sep
Use
.Ar sep
as the field delimiter character instead of the comma character.
.El
.Sh "EXIT STATUS"
The
.Nm
utility exits 0 on success, and 1 if an error occurs.
.Sh EXAMPLES
Pretty print the text received from stdin where each field is separated by the comma character:
.Dl "tabular"
.Pp
Pretty print file passed as parameter:
.Pp
.Dl "tabular addresses.csv"
.Pp
Pretty print files passed as parameters where the content of the second file is taken from stdin:
.Pp
.Dl "tabular tally_cab.csv - addresses.csv"
.Pp
Pipe the out of cat to tabular where the field separator is set to the semicolon character:
.Dl "cat names.csv | tabular -s ';'"
.Sh SEE ALSO
.Xr column 1
.Sh BUGS
.Bl -tag -width indent
.It Input lines are limited to LINE_MAX bytes in length.
.It Only single character separators are allowed.
.It The program presumes the locale is UTF-8.
.El
.Sh AUTHOR
.An Alessio Chiapperini Aq Mt alessio.chiapperini@\:nullbuffer.com 

